Back to Douyin
TikHub·Douyin

Douyin Web: Get single video data

/api/v1/douyin/web/fetch_one_videosync$0.003 / call

Get single video data V1, if this interface fails, please use the /fetchonevideov2 interface, or use the APP interface. (TikHub · Douyin Web)

Input
  • aweme_idstringrequired

    Video id

  • need_anchor_infoboolean

    Whether anchor information is needed (default false)

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/douyin/web/fetch_one_video","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.